import { BaseDataSource } from "./BaseDataSource";
import { IDataSourceDataProvider } from "./IDataSourceDataProvider";
import { IDataSourceLocalDataProvider } from "./IDataSourceLocalDataProvider";
import { IEnumerable, Base, Type } from "./type";
import { IExternalLocalDataSource } from "./IExternalLocalDataSource";
import { ISupportsDataChangeNotifications } from "./ISupportsDataChangeNotifications";
import { DataSourceRowType } from "./DataSourceRowType";
export declare class LocalDataSource extends BaseDataSource {
    protected get_g(): IDataSourceDataProvider;
    protected readonly g: IDataSourceDataProvider;
    private bw;
    by: IDataSourceLocalDataProvider;
    private bv;
    bx: IDataSourceLocalDataProvider;
    private ch;
    ci: IEnumerable;
    protected y(): boolean;
    private b1;
    b2: IExternalLocalDataSource;
    constructor();
    protected bz(): IDataSourceLocalDataProvider;
    protected bq(a: string, b: any, c: any): void;
    getItemAtIndex(a: number): any;
    getItemPropertyAtIndex(a: number, b: string): any;
    private b5;
    private b7;
    private b0();
    private ca();
    protected bs(): void;
    protected get_isItemIndexLookupSupported(): boolean;
    readonly isItemIndexLookupSupported: boolean;
    protected get_isKeyIndexLookupSupported(): boolean;
    readonly isKeyIndexLookupSupported: boolean;
    indexOfItem(a: any): number;
    private b9(a, b);
    indexOfKey(a: any[]): number;
    protected a8(a: string[], b: string[]): void;
    private b3;
    private b4();
    private b6();
    private cf();
    private ce();
    private cc();
    private cd();
    private cb();
    be(): void;
    bo(a: number, b: any, c: any): void;
    bi(a: number, b: any): void;
    bl(a: number, b: any): void;
    cq(): void;
    ct(a: number, b: any, c: any): void;
    cr(a: number, b: any): void;
    cs(a: number, b: any): void;
    private cg;
    pinRow(a: any[]): void;
    unpinRow(a: any[]): void;
    isRowPinned(a: number): boolean;
    private b8;
    protected get_isSortingSupported(): boolean;
    readonly isSortingSupported: boolean;
    protected get_isFilteringSupported(): boolean;
    readonly isFilteringSupported: boolean;
    protected get_isGroupingSupported(): boolean;
    readonly isGroupingSupported: boolean;
    getStickyRowPriority(a: number): number;
    private bu;
    private cl;
    private cj;
    private cm;
    private ck;
    getStickyRows(): number[];
    isExclusivelySticky(a: number): boolean;
    getRowType(a: number): DataSourceRowType;
    static $t: Type;
}
export declare class LocalDataSourceViewUpdateNotifier extends Base implements ISupportsDataChangeNotifications {
    private a;
    notifyClearItems(): void;
    notifyInsertItem(a: number, b: any): void;
    notifyRemoveItem(a: number, b: any): void;
    notifySetItem(a: number, b: any, c: any): void;
    constructor(a: LocalDataSource);
    static $t: Type;
}
